Rukovatelji obavijestima
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Detalji | Opis |
|---|---|---|
| search | Opcionalno Niz | Pretraživački niz. |
| search_by | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: name. |
| is_enabled | Opcionalno Boolean | |
| type | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opcionalno Niz | Dopuštene vrijednosti: datetime, last_datetime |
| datetime_start | Opcionalno Niz | Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s. |
| datetime_end | Opcionalno Niz | Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s. |
| order_by | Opcionalno Niz | Koje polje odabrati za sortiranje rezultata. Dozvoljene vrijednosti su: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionalno Niz | Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno poredanje, i DESC za silazno poredanje. |
| search | Opcionalno Niz | Pretraživački niz. |
| search_by | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: name. |
| is_enabled | Opcionalno Boolean | |
| type | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opcionalno Niz | Dopuštene vrijednosti: datetime, last_datetime |
| datetime_start | Opcionalno Niz | Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s. |
| datetime_end | Opcionalno Niz | Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s. |
| order_by | Opcionalno Niz | Koje polje odabrati za sortiranje rezultata. Dozvoljene vrijednosti su: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionalno Niz | Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno poredanje, i DESC za silazno poredanje. |
| page | Opcionalno Cijeli broj | Broj stranice s koje želite rezultate. Zadano je 1. |
| results_per_page | Opcionalno Cijeli broj | Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadano je 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:21",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:21",
}
}
POST https://tistos.com/api/notification-handlers
| Parametri | Detalji | Opis |
|---|---|---|
| name | Obavezno Niz | - |
| type | Obavezno Niz | Dopuštene vrijednosti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opcionalno Niz | Dostupno kada: type = email E-pošta | |
| webhook | Opcionalno Niz | Dostupno kada: type = webhook URL webhook |
| slack | Opcionalno Niz | Dostupno kada: type = slack Slack webhook URL |
| discord | Opcionalno Niz | Dostupno kada: type = discord Discord webhook URL |
| telegram | Opcionalno Niz | Dostupno kada: type = telegram Telegram API token |
| telegram_chat_id | Opcionalno Niz | Dostupno kada: type = telegram Telegram ID razgovora |
| microsoft_teams | Opcionalno Niz | Dostupno kada: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opcionalno Niz | Dostupno kada: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| x_consumer_secret | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| x_access_token | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| x_access_token_secret | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parametri | Detalji | Opis |
|---|---|---|
| name | Opcionalno Niz | - |
| type | Opcionalno Niz | Dopuštene vrijednosti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opcionalno Niz | Dostupno kada: type = email E-pošta | |
| webhook | Opcionalno Niz | Dostupno kada: type = webhook URL webhook |
| slack | Opcionalno Niz | Dostupno kada: type = slack Slack webhook URL |
| discord | Opcionalno Niz | Dostupno kada: type = discord Discord webhook URL |
| telegram | Opcionalno Niz | Dostupno kada: type = telegram Telegram API token |
| telegram_chat_id | Opcionalno Niz | Dostupno kada: type = telegram Telegram ID razgovora |
| microsoft_teams | Opcionalno Niz | Dostupno kada: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opcionalno Niz | Dostupno kada: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| x_consumer_secret | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| x_access_token | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| x_access_token_secret | Opcionalno Niz | Dostupno kada: type = x Telegram API token |
| is_enabled | Opcionalno Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \